获取焊缝的轮廓

通过WeldBead.BeadFaces属性可以获取焊缝的各个面,从而得到焊缝的轮廓信息。示例代码利用Client Graphics展示轮廓,并进行偏移处理以区分焊缝本身。
摘要由CSDN通过智能技术生成

有客户问道如何得知焊缝的轮廓,其实WeldBead.BeadFaces 就返回焊缝的每个面,根据它们就能得知焊缝的轮廓。以下代码将这些面用Client Graphics的形式体现出来,为了和焊缝本身区分,故意将其偏移了一些位置。


Public Sub test() 
    
    'get document and definition 
    Dim oDoc As AssemblyDocument 
    Set oDoc = ThisApplication.ActiveDocument 
  
    Dim oCompDef As AssemblyComponentDefinition 
    Set oCompDef = oDoc.ComponentDefinition 
    
    'if this is a weld document 
    If oCompDef.Type = kWeldmentComponentDefinitionObject Then 
        Dim wcd As WeldmentComponentDefinition 
        Set wcd = oCompDef 
    Else 
        Exit Sub 
    End If 
   
    ' get one weld bead 
    Dim oWB As WeldBead 
    Set oWB = wcd.Welds.WeldBeads(1) 
  
    On Error Resume Next 
    D
评论
添加红包

请填写红包祝福语或标题

红包个数最小为10个

红包金额最低5元

当前余额3.43前往充值 >
需支付:10.00
成就一亿技术人!
领取后你会自动成为博主和红包主的粉丝 规则
hope_wisdom
发出的红包
实付
使用余额支付
点击重新获取
扫码支付
钱包余额 0

抵扣说明:

1.余额是钱包充值的虚拟货币,按照1:1的比例进行支付金额的抵扣。
2.余额无法直接购买下载,可以购买VIP、付费专栏及课程。

余额充值